API ReferenceMemberships
List a contact's memberships
The memberships a contact holds (as primary member or family member), with status and remaining credits.
Authorization
ApiKeyAuth AuthorizationBearer <token>
Send your API key as a bearer token: Authorization: Bearer bp_sk_live_.... Mint and revoke keys in your dashboard under Settings -> Developers.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/memberships"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "plan_id": "00713021-9aea-41da-9a88-87760c08fa72", "status": "trialing", "home_location_id": "6a282dbe-519b-46a3-8854-0739e5f8fae0", "credits_remaining": 0, "period_credits_used": 0, "current_period_end": "2019-08-24T14:15:22Z", "next_renewal_date": "2019-08-24", "member_code": "string" } ]}